package com.adealink.weparty.module.order

import com.adealink.frame.aab.BaseDynamicModule
import com.adealink.weparty.R

object OrderModule : BaseDynamicModule<IOrderService>(IOrderService::class),
    IOrderService {

    override val featureName: String
        get() = "order"

    override val moduleNameResId: Int
        get() = R.string.module_order

    override fun emptyService(): IOrderService {
        return object : IOrderService {

            override fun getService(): IOrderService? {
                return null
            }

            override fun logout() {
            }
        }
    }

    override fun logout() {
        getService().logout()
    }
}